Browse Source

Merge "Bump pylint version to one that supports python3.7"

changes/52/683152/2
Zuul 3 weeks ago
parent
commit
432dd3d4ea
3 changed files with 15 additions and 3 deletions
  1. +10
    -1
      .pylintrc
  2. +1
    -1
      networking_odl/common/callback.py
  3. +4
    -1
      test-requirements.txt

+ 10
- 1
.pylintrc View File

@@ -64,7 +64,16 @@ disable=
too-many-locals,
too-many-public-methods,
too-many-return-statements,
too-many-statements
too-many-statements,
# new for python3 version of pylint
chained-comparison,
consider-using-dict-comprehension,
consider-using-in,
consider-using-set-comprehension,
unnecessary-pass,
useless-object-inheritance,
self-cls-assignment,
no-else-return,

[BASIC]
# Variable names can be 1 to 31 characters long, with lowercase and underscores

+ 1
- 1
networking_odl/common/callback.py View File

@@ -50,7 +50,7 @@ def _log_on_callback(lvl, msg, op, res_type, res_id, res_dict, data):
LOG.log(lvl, LOG_TEMPLATE,
{'msg': msg, 'op': op, 'res_type': res_type, 'res_id': res_id,
'res_dict': res_dict, 'data': data,
'exc_info': True if lvl >= logging.ERROR else False})
'exc_info': lvl >= logging.ERROR})


class OdlSecurityGroupsHandler(object):

+ 4
- 1
test-requirements.txt View File

@@ -11,12 +11,15 @@ python-subunit>=1.2.0 # Apache-2.0/BSD
oslotest>=3.3.0 # Apache-2.0
stestr>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
pylint==1.8.4 # GPLv2
pylint==1.9.2;python_version<"3.0" # GPLv2
pylint==2.2.0;python_version>="3.0" # GPLv2
testresources>=2.0.1 # Apache-2.0/BSD
testscenarios>=0.5.0 # Apache-2.0/BSD
testtools>=2.3.0 # MIT
bandit!=1.6.0,>=1.4.0 # Apache-2.0
bashate>=0.5.1 # Apache-2.0
astroid==1.6.5;python_version<"3.0" # LGPLv2.1
astroid==2.1.0;python_version>="3.0" # LGPLv2.1

# To test ceilometer client
ceilometer>=11.0.0

Loading…
Cancel
Save